Modify

#390 closed defect (fixed)

bitlbee attempts to link to i386 libresolv.a on fedora 8 x64

Reported by: jae.jang@… Owned by:
Priority: normal Milestone:
Component: BitlBee Version: 1.2
Keywords: Cc:
IRC client+version: Client-independent Operating System: Linux
OS version/distro: fedora 8 x64

Description

tries to link with /usr/lib/libresolv.a instead of /usr/lib64/libresolv.a

CFLAGS includes correctly the lib64 directories. Just needed to change EFLAGS+=/usr/lib/libresolv.a line in Makefile.settings to EFLAGS+=/usr/lib64/libresolv.a

The error message:

* Linking bitlbee
/usr/bin/ld: i386 architecture of input file `/usr/lib/libresolv.a(res_data.o)' is incompatible with i386:x86-64 output
...
..
etc for other object files

Attachments (1)

bitlbee-1.2.1-libdir.patch (1.6 KB) - added by robert@… at 2008-06-29T11:17:15Z.
Patch for libdir support and 64 bit default directories

Download all attachments as: .zip

Change History (6)

comment:1 Changed at 2008-04-13T20:50:29Z by mcepl

Use package from Fedora -- they have fixed ./configure script.

comment:2 Changed at 2008-06-07T11:35:26Z by anonymous

same happens on openSUSE 10.3 btw, same fix applies

comment:3 Changed at 2008-06-22T08:24:58Z by wilmer

Dupe: #421

It appears that FreeBSD is less retarded and actually has a complete libresolv.so.

comment:4 Changed at 2008-06-29T11:16:45Z by robert@…

Please apply the attached patch or better. If you dislike the libdir, please only apply the last hunk - without $libdir then of course. Specified libdir should be checked first, after that 64 bit directories, finally 32 bit directories. This is IMHO an usual case.

Changed at 2008-06-29T11:17:15Z by robert@…

Patch for libdir support and 64 bit default directories

comment:5 Changed at 2010-03-10T09:49:44Z by wilmer

  • Resolution set to fixed
  • Status changed from new to closed

This is now properly fixed since glibc stopped being totally retarded and now has all the relevant functions available in libresolv.so.

Add Comment

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.